import { existsAsHtmlElement } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { AdminStatistikFieldsFormComponent } from '../../../../../../libs/admin/statistik/src/lib/statistik-fields-form/admin-statistik-fields-form.component';
import { getDataTestIdOf } from '../../../../../../libs/tech-shared/test/data-test';
import { StatistikFieldsFormPageComponent } from './statistik-fields-form-page.component';

describe('StatistikFieldsFormPageComponent', () => {
  let component: StatistikFieldsFormPageComponent;
  let fixture: ComponentFixture<StatistikFieldsFormPageComponent>;

  const evaluateFieldsForm: string = getDataTestIdOf('evaluate-fields-form');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [StatistikFieldsFormPageComponent, MockComponent(AdminStatistikFieldsFormComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(StatistikFieldsFormPageComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    describe('weiter felder auswerten form', () => {
      it('should exists', () => {
        fixture.detectChanges();

        existsAsHtmlElement(fixture, evaluateFieldsForm);
      });
    });
  });
});
