import { ApiRootService } from '@alfa-client/api-root-shared';
import { ResourceRepository } from '@alfa-client/tech-shared';
import {
  createOrganisationsEinheitListResourceService,
  OrganisationsEinheitListResourceService,
} from './organisations-einheit-list-resource.service';
import {
  createOrganisationsEinheitResourceService,
  OrganisationsEinheitResourceService,
} from './organisations-einheit-resource.service';

export const OrganisationEinheitProviders = [
  {
    provide: OrganisationsEinheitListResourceService,
    useFactory: createOrganisationsEinheitListResourceService,
    deps: [ResourceRepository, ApiRootService],
  },
  {
    provide: OrganisationsEinheitResourceService,
    useFactory: createOrganisationsEinheitResourceService,
    deps: [ResourceRepository, OrganisationsEinheitListResourceService],
  },
];
