import { Component } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TextareaEditorComponent } from '@ods/component';
import { OrganisationsEinheitFormService } from '../organisations-einheit.formservice';

@Component({
  selector: 'admin-organisations-einheit-signatur',
  templateUrl: './organisations-einheit-signatur.component.html',
  standalone: true,
  imports: [FormsModule, ReactiveFormsModule, TextareaEditorComponent],
})
export class OrganisationsEinheitSignaturComponent {
  public readonly formServiceClass = OrganisationsEinheitFormService;

  constructor(public formService: OrganisationsEinheitFormService) {}
}
