import { Environment, ENVIRONMENT_CONFIG } from '@alfa-client/environment-shared';
import KcAdminClient from '@keycloak/keycloak-admin-client';

export const UserProviders = [
  {
    provide: KcAdminClient,
    useFactory: (env: Environment) =>
      new KcAdminClient({
        baseUrl: env.authServer,
        realmName: env.realm,
      }),
    deps: [ENVIRONMENT_CONFIG],
  },
];
